<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
    <artifactId>objects-base</artifactId>
    <version>1.9.0</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.base.objects-base</groupId>
  <artifactId>object-factory</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: BASE :: OBJECT FACTORING :: OBJECT FACTORY</name>
  <description>ENTAXY :: PLATFORM :: BASE :: OBJECT FACTORING :: OBJECT FACTORY</description>
  
  <properties>
  	<bundle.osgi.export.pkg>
		ru.entaxy.platform.base.objects.factory,
		ru.entaxy.platform.base.objects.factory.configuration,
		ru.entaxy.platform.base.objects.factory.exceptions,
		ru.entaxy.platform.base.objects.factory.impl,
		ru.entaxy.platform.base.objects.factory.tracker 	
  	</bundle.osgi.export.pkg>
  </properties>
  
  <dependencies>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  	</dependency>        
        <dependency>
        	<groupId>org.apache.felix</groupId>
        	<artifactId>org.apache.felix.scr</artifactId>
        </dependency>
	  	<dependency>
	  		<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  		<artifactId>base-support</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>
	  			ru.entaxy.esb.platform.runtime.base.connecting.generator
	  		</groupId>
	  		<artifactId>generator-api</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
	  	<dependency>
	  		<groupId>
	  			ru.entaxy.esb.platform.runtime.base.connecting.generator
	  		</groupId>
	  		<artifactId>generator-factory</artifactId>
	  		<version>${project.version}</version>
	  	</dependency>
  </dependencies>
  
  <build>
  	<plugins>
		<plugin>
			<groupId>org.apache.felix</groupId>
			<artifactId>maven-bundle-plugin</artifactId>
			<version>${maven-bundle-plugin.version}</version>
			<extensions>true</extensions>
			<configuration>
				<instructions>
					<Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>	
				</instructions>
			</configuration>
		</plugin>

  	</plugins>
  </build>
  
</project>
